package locales

var dict_ashkenazi_standard = map[string]string{
	"Berachot": "Brochos",
	"Shabbat": "Shabbos",
	"Eruvin": "Eiruvin",
	"Pesachim": "Psochim",
	"Shekalim": "Shkolim",
	"Yoma": "Yumo",
	"Sukkah": "Sukko",
	"Beitzah": "Beitzo",
	"Taanit": "Taanis",
	"Megillah": "Megillo",
	"Moed Katan": "Moyed Koton",
	"Chagigah": "Chagigo",
	"Yevamot": "Yevomos",
	"Ketubot": "Ksubos",
	"Nedarim": "Nedorim",
	"Nazir": "Nozir",
	"Sotah": "Soyto",
	"Gitin": "Gitin",
	"Kiddushin": "Kiddushin",
	"Baba Kamma": "Bovo Kamo",
	"Baba Metzia": "Bovo Metzio",
	"Baba Batra": "Bovo Basro",
	"Sanhedrin": "Sanhedrin",
	"Makkot": "Makkos",
	"Shevuot": "Shvuos",
	"Avodah Zarah": "Avoydo Zoro",
	"Horayot": "Hoyroyos",
	"Zevachim": "Zvochim",
	"Menachot": "Menochos",
	"Chullin": "Chullin",
	"Bechorot": "Bchoyros",
	"Arachin": "Arochin",
	"Temurah": "Tmuro",
	"Keritot": "Krisos",
	"Meilah": "Meilo",
	"Kinnim": "Kinnim",
	"Tamid": "Tomid",
	"Midot": "Midos",
	"Niddah": "Niddo",
	"Daf Yomi": "Daf Yoymi",
	"Parashat": "Parshas",
	"Achrei Mot": "Achrei",
	"Balak": "Bolok",
	"Bamidbar": "Bamidbor",
	"Bechukotai": "Bechukoysai",
	"Beha'alotcha": "Bahaaloscho",
	"Behar": "Behar",
	"Bereshit": "Breishis",
	"Beshalach": "Beshalach",
	"Bo": "Boy",
	"Chayei Sara": "Chayei Soro",
	"Chukat": "Chukas",
	"Devarim": "Dvorim",
	"Eikev": "Eikev",
	"Emor": "Emor",
	"Ha'Azinu": "Haazinu",
	"Kedoshim": "Kdoyshim",
	"Ki Tavo": "Ki-Sovo",
	"Ki Teitzei": "Ki-Seitzei",
	"Ki Tisa": "Ki-Siso",
	"Korach": "Koyrach",
	"Lech-Lecha": "Lech-Lecho",
	"Masei": "Masei",
	"Matot": "Matos",
	"Metzora": "Metzoyro",
	"Miketz": "Mikeitz",
	"Mishpatim": "Mishpotim",
	"Nasso": "Nosso",
	"Nitzavim": "Nitzovim",
	"Noach": "Noyach",
	"Pekudei": "Pkudey",
	"Pinchas": "Pinchos",
	"Re'eh": "Reei",
	"Sh'lach": "Shlach",
	"Shemot": "Shmoys",
	"Shmini": "Shmini",
	"Shoftim": "Shoftim",
	"Tazria": "Tazria",
	"Terumah": "Trumo",
	"Tetzaveh": "Tetzave",
	"Toldot": "Toldos",
	"Tzav": "Tzav",
	"Vaera": "Voeiro",
	"Vaetchanan": "Voeschanan",
	"Vayakhel": "Vayakhel",
	"Vayechi": "Vayechi",
	"Vayeilech": "Vayeilech",
	"Vayera": "Vayeiro",
	"Vayeshev": "Vayeishev",
	"Vayetzei": "Vayeitzei",
	"Vayigash": "Vayigash",
	"Vayikra": "Vayikro",
	"Vayishlach": "Vayishlach",
	"Vezot Haberakhah": "Zoys Habrocho",
	"Yitro": "Yisro",
	"Asara B'Tevet": "Asoro Beteyves",
	"Candle lighting": "Hadlokas neyros",
	"Chanukah": "Chanukko",
	"Chanukah: 1 Candle": "Chanukko: 1 Candle",
	"Chanukah: 2 Candles": "Chanukko: 2 Candles",
	"Chanukah: 3 Candles": "Chanukko: 3 Candles",
	"Chanukah: 4 Candles": "Chanukko: 4 Candles",
	"Chanukah: 5 Candles": "Chanukko: 5 Candles",
	"Chanukah: 6 Candles": "Chanukko: 6 Candles",
	"Chanukah: 7 Candles": "Chanukko: 7 Candles",
	"Chanukah: 8 Candles": "Chanukko: 8 Candles",
	"Chanukah: 8th Day": "Chanukko: 8th Day",
	"Days of the Omer": "Oymer",
	"Erev Pesach": "Erev Peisach",
	"Erev Purim": "Erev Purim",
	"Erev Rosh Hashana": "Erev Rosh-Hashono",
	"Erev Shavuot": "Erev Shvuos",
	"Erev Simchat Torah": "Erev Simchas Toyro",
	"Erev Sukkot": "Erev Sukkos",
	"Erev Tish'a B'Av": "Erev Tisho Bov",
	"Erev Yom Kippur": "Erev Yom Kippur",
	"Havdalah": "Havdolo",
	"Lag BaOmer": "Lag Boymer",
	"Leil Selichot": "Slichos",
	"Pesach": "Peisach",
	"Pesach I": "Peisach I",
	"Pesach II": "Peisach II",
	"Pesach II (CH''M)": "Peisach II (CH''M)",
	"Pesach III (CH''M)": "Peisach III (CH''M)",
	"Pesach IV (CH''M)": "Peisach IV (CH''M)",
	"Pesach Sheni": "Peisach Sheini",
	"Pesach V (CH''M)": "Peisach V (CH''M)",
	"Pesach VI (CH''M)": "Peisach VI (CH''M)",
	"Pesach VII": "Peisach VII",
	"Pesach VIII": "Peisach VIII",
	"Purim": "Purim",
	"Purim Katan": "Purim Koton",
	"Rosh Chodesh %s": "Rosh Choydesh %s",
	"Rosh Chodesh": "Rosh Choydesh",
	"Adar": "Odor",
	"Adar I": "Odor Aleph",
	"Adar II": "Odor Beis",
	"Av": "Ov",
	"Cheshvan": "Cheshvon",
	"Elul": "Elul",
	"Iyyar": "Iyyor",
	"Kislev": "Kislev",
	"Nisan": "Nison",
	"Sh'vat": "Shvat",
	"Sivan": "Sivon",
	"Tamuz": "Tamuz",
	"Tevet": "Teyves",
	"Rosh Hashana": "Rosh Hashono",
	"Rosh Hashana I": "Rosh Hashono I",
	"Rosh Hashana II": "Rosh Hashono II",
	"Shabbat Chazon": "Shabbos Chazon",
	"Shabbat HaChodesh": "Shabbos HaChoydesh",
	"Shabbat HaGadol": "Shabbos HaGodol",
	"Shabbat Machar Chodesh": "Shabbos Mochor Choydesh",
	"Shabbat Nachamu": "Shabbos Nachamu",
	"Shabbat Parah": "Shabbos Poro",
	"Shabbat Rosh Chodesh": "Shabbos Rosh Choydesh",
	"Shabbat Shekalim": "Shabbos Shkolim",
	"Shabbat Shuva": "Shabbos Shuvo",
	"Shabbat Zachor": "Shabbos Zochor",
	"Shavuot": "Shvuos",
	"Shavuot I": "Shvuos I",
	"Shavuot II": "Shvuos II",
	"Shmini Atzeret": "Shmini Atzeres",
	"Shushan Purim": "Shushon Purim",
	"Sigd": "Sigd",
	"Simchat Torah": "Simchas Toyro",
	"Sukkot": "Sukkos",
	"Sukkot I": "Sukkos I",
	"Sukkot II": "Sukkos II",
	"Sukkot II (CH''M)": "Sukkos II (CH''M)",
	"Sukkot III (CH''M)": "Sukkos III (CH''M)",
	"Sukkot IV (CH''M)": "Sukkos IV (CH''M)",
	"Sukkot V (CH''M)": "Sukkos V (CH''M)",
	"Sukkot VI (CH''M)": "Sukkos VI (CH''M)",
	"Sukkot VII (Hoshana Raba)": "Sukkos VII (Hoyshano Rabo)",
	"Ta'anit Bechorot": "Taanis Bchoros",
	"Ta'anit Esther": "Taanis Ester",
	"Tish'a B'Av": "Tisho B'ov",
	"Tish'a B'Av (observed)": "Tisho B'ov (observed)",
	"Tu B'Av": "Tu B'ov",
	"Tu BiShvat": "Tu BiShvat",
	"Tu B'Shvat": "Tu BiShvat",
	"Tzom Gedaliah": "Tzom Gdalyo",
	"Tzom Tammuz": "Tzom Tammuz",
	"Yom HaAtzma'ut": "Yom HaAtzma'ut",
	"Yom HaShoah": "Yom HaShoah",
	"Yom HaZikaron": "Yom HaZikaron",
	"Yom Kippur": "Yom Kippur",
	"Yom Yerushalayim": "Yom Yerusholayim",
	"Yom HaAliyah": "Yom HaAliyah",
}

func Lookup_ashkenazi_standard(s string) (string, bool) {
	v, ok := dict_ashkenazi_standard[s]
	if ok {
		return v, true
	}
	return s, false
}
